<?php
/**
 * Please see weepie-framework.php for more details.
 */

namespace WpieFw\Templates;

if( ! defined( 'ABSPATH' ) ) exit;

/**
 * WpieTemplateInterface interface
 *
 * @author $Author: Vincent Weber <weepie-plugins@outlook.com> $
 * @since 0.1
 */
interface WpieTemplateInterface
{
	public function setVar( string $key, $value );
	public function setTag( $key = '', $value = '' );
	public function getName();
	public function getVars();
	public function getVar( $key = '' );
	public function getTags();
	public function getTag( $key = '' );
	public function getChilds();
	public function getChild( $key = '' );
	public function getContent();
	public function render( $exit = false, $return = false, $save = false, $removeNewLines = false );
}